std::__atomic_flag_base Struct Reference
Atomics

`#include <atomic_base.h>`

Inheritance diagram for std::__atomic_flag_base:
[legend]

## Public Attributes

__atomic_flag_data_type | _M_i

## Detailed Description

Base type for atomic_flag.

Base type is POD with data, allowing atomic_flag to derive from it and meet the standard layout type requirement. In addition to compatibility with a C interface, this allows different implementations of atomic_flag to use the same atomic operation functions, via a standard conversion to the __atomic_flag_base argument.

Definition at line 169 of file atomic_base.h.

## Member Data Documentation

## _M_i

__atomic_flag_data_type std::__atomic_flag_base::_M_i

Definition at line 171 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h